Skip to main content
PUT
Shell

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Body

application/x-www-form-urlencoded
assets
string[]
required

Comma separated list of assets, or wildcard (*) for all supported assets.

Unique name of the asset.

accounts
string[]
required

Account ids. For ETH_CL, this can either be a validator public key or a validator index.

Account id. For ETH_CL, this can either be a validator public key or a validator index.

start_time
string<date-time>

Start of the time interval.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with start_height/end_height and start_slot/end_slot.
When specified, end_time parameter is mandatory.
UTC timezone by default. Z suffix is optional.

end_time
string<date-time>

End of the time interval.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with start_height/end_height and start_slot/end_slot.
When specified, start_time parameter is mandatory.
UTC timezone by default. Z suffix is optional.

start_height
integer<int64>

The start height indicates the beginning block height for the set of data that are returned.
Inclusive by default. Mutually exclusive with start_time/end_time and start_slot/end_slot.
When specified, end_height parameter is mandatory.
Not compatible with requests containing more than one asset.

end_height
integer<int64>

The end height indicates the ending block height for the set of data that are returned.
Inclusive by default. Mutually exclusive with start_time/end_time and start_slot/end_slot.
When specified, start_height parameter is mandatory.
Not compatible with requests containing more than one asset.

start_slot
integer<int64>

The start slot indicates the beginning slot for the set of data that are returned.
Inclusive by default. Mutually exclusive with start_time/end_time and start_height/end_height.
When specified, end_slot parameter is mandatory.
Not compatible with requests containing more than one asset.

end_slot
integer<int64>

The end slot indicates the ending slot for the set of data that are returned.
Inclusive by default. Mutually exclusive with start_time/end_time and start_height/end_height.
When specified, start_slot parameter is mandatory.
Not compatible with requests containing more than one asset.

Response

Details of just created job.

job_id
string
required

Job ID.

job_url
string
required

Job URL.